Pairs
GET/pairs
Returns the minimum and maximum deposit amount and the rate for every possible pair of coins listed in the query string.
Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.
Use the same commissionRate in this endpoint as when creating the shift/quote to get an accurate rate information.
Request
Header Parameters
Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.
Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.
Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.
Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.
Query Parameters
btc-mainnet,usdc-bsc,bch,eth
Responses
- 200
- 500
- application/json
- Schema
- Example
Schema
Array [
]
[
{
"depositCoin": "BTC",
"settleCoin": "ETH",
"depositNetwork": "bitcoin",
"settleNetwork": "ethereum",
"min": "0.00010753",
"max": "1.43368044",
"rate": "17.291251441744"
},
{
"depositCoin": "ETH",
"settleCoin": "BTC",
"depositNetwork": "ethereum",
"settleNetwork": "bitcoin",
"min": "0.013802779514",
"max": "25.27981596",
"rate": "0.055429074413"
}
]
- application/json
- Schema
- Examples
Schema
error object
{
"error": {
"message": "Rate unavailable",
"code": "RATE_UNAVAILABLE"
}
}
{
"error": {
"message": "Duplicate coin",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Invalid coin",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Invalid network",
"code": "BAD_USER_INPUT"
}
}